petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESSetDM

Sets the DM that may be used by some preconditioners

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetDM(SNES snes,DM dm)

Logically Collective on SNES

### Input Parameters

| snes | - the preconditioner context
| dm | - the dm

### See Also

SNESGetDM(), KSPSetDM(), KSPGetDM()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex25.c.html
src/snes/examples/tutorials/ex28.c.html